Command reference
deployments webhook
Signed semantic webhooks
| Command | Summary |
|---|---|
deployments webhook create | Create a webhook subscription |
deployments webhook list | List webhook subscriptions |
deployments webhook show | Show a webhook subscription |
deployments webhook archive | Archive a webhook subscription |
deployments webhook update | Update a webhook subscription |
deployments webhook disable | Pause deliveries to a webhook subscription |
deployments webhook enable | Resume deliveries to a webhook subscription |
deployments webhook rotate-secret | Rotate a webhook signing secret |
deployments webhook test | Send a signed test event to a webhook subscription |
deployments webhook create
Create a webhook subscription.
deployments webhook create --name <name> --url <url> --event-types <a-b-c>- Calls
POST /v1/webhooks(SDKcreateWebhook). - Needs an environment:
--envor the saved context. - Output contains secrets. They are redacted unless you pass
--reveal.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--name | string | yes | Resource name | |
--url | string | yes | HTTPS endpoint URL | |
--event-types | string (a,b,c) | yes | Semantic event types | |
--resource-filters | string (json) | Resource filter JSON |
Also accepts the global flags.
deployments webhook list
List webhook subscriptions.
deployments webhook list- Calls
GET /v1/webhooks(SDKlistWebhooks). - Needs an environment:
--envor the saved context. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size |
Also accepts the global flags.
deployments webhook show
Show a webhook subscription.
deployments webhook show <id>- Calls
GET /v1/webhooks/{webhookId}(SDKgetWebhook). - Needs an environment:
--envor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID |
Also accepts the global flags.
deployments webhook archive
Archive a webhook subscription.
deployments webhook archive <id>- Calls
POST /v1/webhooks/{webhookId}/archive(SDKarchiveWebhook). - Needs an environment:
--envor the saved context. - Destructive. Live runs ask for confirmation; pass
--yesin scripts or with--json.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID |
Also accepts the global flags.
deployments webhook update
Update a webhook subscription.
deployments webhook update <id>- Calls
PATCH /v1/webhooks/{webhookId}(SDKupdateWebhook). - Needs an environment:
--envor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--name | string | Webhook subscription name | ||
--url | string | HTTPS endpoint URL | ||
--event-types | string (a,b,c) | Semantic event types | ||
--resource-filters | string (json) | Resource filter JSON | ||
--clear-resource-filters | boolean | Remove all resource filters |
Also accepts the global flags.
deployments webhook disable
Pause deliveries to a webhook subscription.
deployments webhook disable <id>- Calls
POST /v1/webhooks/{webhookId}/disable(SDKdisableWebhook). - Needs an environment:
--envor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID |
Also accepts the global flags.
deployments webhook enable
Resume deliveries to a webhook subscription.
deployments webhook enable <id>- Calls
POST /v1/webhooks/{webhookId}/enable(SDKenableWebhook). - Needs an environment:
--envor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID |
Also accepts the global flags.
deployments webhook rotate-secret
Rotate a webhook signing secret.
deployments webhook rotate-secret <id>- Calls
POST /v1/webhooks/{webhookId}/rotate-secret(SDKrotateWebhookSecret). - Needs an environment:
--envor the saved context. - Output contains secrets. They are redacted unless you pass
--reveal.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--previous-secret-expires-in-seconds | string (number) | Seconds the previous secret keeps signing (0 to 604800, default 86400) |
Also accepts the global flags.
deployments webhook test
Send a signed test event to a webhook subscription.
deployments webhook test <id>- Calls
POST /v1/webhooks/{webhookId}/test(SDKtestWebhook). - Needs an environment:
--envor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID |
Also accepts the global flags.